IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/52
Addresses2^76
/64 networks4,096
- Network
2001:db8:6:5000::/52- First address
2001:db8:6:5000::- Last address
2001:db8:6:5fff:ffff:ffff:ffff:ffff- Addresses
- 75,557,863,725,914,323,419,136 (2^76)
- /64 networks (LANs)
- 4,096
- Full form
2001:0db8:0006:5000:0000:0000:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
5.6.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8:6:5000::/52 makes 256 subnets of /60.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8:6:5000::/60 | 2001:db8:6:500f:ffff:ffff:ffff:ffff |
| 2 | 2001:db8:6:5010::/60 | 2001:db8:6:501f:ffff:ffff:ffff:ffff |
| 3 | 2001:db8:6:5020::/60 | 2001:db8:6:502f:ffff:ffff:ffff:ffff |
| 4 | 2001:db8:6:5030::/60 | 2001:db8:6:503f:ffff:ffff:ffff:ffff |
| 5 | 2001:db8:6:5040::/60 | 2001:db8:6:504f:ffff:ffff:ffff:ffff |
| 6 | 2001:db8:6:5050::/60 | 2001:db8:6:505f:ffff:ffff:ffff:ffff |
| 7 | 2001:db8:6:5060::/60 | 2001:db8:6:506f:ffff:ffff:ffff:ffff |
| 8 | 2001:db8:6:5070::/60 | 2001:db8:6:507f:ffff:ffff:ffff:ffff |
| 9 | 2001:db8:6:5080::/60 | 2001:db8:6:508f:ffff:ffff:ffff:ffff |
| 10 | 2001:db8:6:5090::/60 | 2001:db8:6:509f:ffff:ffff:ffff:ffff |
| 11 | 2001:db8:6:50a0::/60 | 2001:db8:6:50af:ffff:ffff:ffff:ffff |
| 12 | 2001:db8:6:50b0::/60 | 2001:db8:6:50bf:ffff:ffff:ffff:ffff |
| 13 | 2001:db8:6:50c0::/60 | 2001:db8:6:50cf:ffff:ffff:ffff:ffff |
| 14 | 2001:db8:6:50d0::/60 | 2001:db8:6:50df:ffff:ffff:ffff:ffff |
| 15 | 2001:db8:6:50e0::/60 | 2001:db8:6:50ef:ffff:ffff:ffff:ffff |
| 16 | 2001:db8:6:50f0::/60 | 2001:db8:6:50ff:ffff:ffff:ffff:ffff |
| 17 | 2001:db8:6:5100::/60 | 2001:db8:6:510f:ffff:ffff:ffff:ffff |
| 18 | 2001:db8:6:5110::/60 | 2001:db8:6:511f:ffff:ffff:ffff:ffff |
| 19 | 2001:db8:6:5120::/60 | 2001:db8:6:512f:ffff:ffff:ffff:ffff |
| 20 | 2001:db8:6:5130::/60 | 2001:db8:6:513f:ffff:ffff:ffff:ffff |
| 21 | 2001:db8:6:5140::/60 | 2001:db8:6:514f:ffff:ffff:ffff:ffff |
| 22 | 2001:db8:6:5150::/60 | 2001:db8:6:515f:ffff:ffff:ffff:ffff |
| 23 | 2001:db8:6:5160::/60 | 2001:db8:6:516f:ffff:ffff:ffff:ffff |
| 24 | 2001:db8:6:5170::/60 | 2001:db8:6:517f:ffff:ffff:ffff:ffff |
| 25 | 2001:db8:6:5180::/60 | 2001:db8:6:518f:ffff:ffff:ffff:ffff |
| 26 | 2001:db8:6:5190::/60 | 2001:db8:6:519f:ffff:ffff:ffff:ffff |
| 27 | 2001:db8:6:51a0::/60 | 2001:db8:6:51af:ffff:ffff:ffff:ffff |
| 28 | 2001:db8:6:51b0::/60 | 2001:db8:6:51bf:ffff:ffff:ffff:ffff |
| 29 | 2001:db8:6:51c0::/60 | 2001:db8:6:51cf:ffff:ffff:ffff:ffff |
| 30 | 2001:db8:6:51d0::/60 | 2001:db8:6:51df:ffff:ffff:ffff:ffff |
| 31 | 2001:db8:6:51e0::/60 | 2001:db8:6:51ef:ffff:ffff:ffff:ffff |
| 32 | 2001:db8:6:51f0::/60 | 2001:db8:6:51ff:ffff:ffff:ffff:ffff |
| 33 | 2001:db8:6:5200::/60 | 2001:db8:6:520f:ffff:ffff:ffff:ffff |
| 34 | 2001:db8:6:5210::/60 | 2001:db8:6:521f:ffff:ffff:ffff:ffff |
| 35 | 2001:db8:6:5220::/60 | 2001:db8:6:522f:ffff:ffff:ffff:ffff |
| 36 | 2001:db8:6:5230::/60 | 2001:db8:6:523f:ffff:ffff:ffff:ffff |
| 37 | 2001:db8:6:5240::/60 | 2001:db8:6:524f:ffff:ffff:ffff:ffff |
| 38 | 2001:db8:6:5250::/60 | 2001:db8:6:525f:ffff:ffff:ffff:ffff |
| 39 | 2001:db8:6:5260::/60 | 2001:db8:6:526f:ffff:ffff:ffff:ffff |
| 40 | 2001:db8:6:5270::/60 | 2001:db8:6:527f:ffff:ffff:ffff:ffff |
| 41 | 2001:db8:6:5280::/60 | 2001:db8:6:528f:ffff:ffff:ffff:ffff |
| 42 | 2001:db8:6:5290::/60 | 2001:db8:6:529f:ffff:ffff:ffff:ffff |
| 43 | 2001:db8:6:52a0::/60 | 2001:db8:6:52af:ffff:ffff:ffff:ffff |
| 44 | 2001:db8:6:52b0::/60 | 2001:db8:6:52bf:ffff:ffff:ffff:ffff |
| 45 | 2001:db8:6:52c0::/60 | 2001:db8:6:52cf:ffff:ffff:ffff:ffff |
| 46 | 2001:db8:6:52d0::/60 | 2001:db8:6:52df:ffff:ffff:ffff:ffff |
| 47 | 2001:db8:6:52e0::/60 | 2001:db8:6:52ef:ffff:ffff:ffff:ffff |
| 48 | 2001:db8:6:52f0::/60 | 2001:db8:6:52ff:ffff:ffff:ffff:ffff |
| 49 | 2001:db8:6:5300::/60 | 2001:db8:6:530f:ffff:ffff:ffff:ffff |
| 50 | 2001:db8:6:5310::/60 | 2001:db8:6:531f:ffff:ffff:ffff:ffff |
| 51 | 2001:db8:6:5320::/60 | 2001:db8:6:532f:ffff:ffff:ffff:ffff |
| 52 | 2001:db8:6:5330::/60 | 2001:db8:6:533f:ffff:ffff:ffff:ffff |
| 53 | 2001:db8:6:5340::/60 | 2001:db8:6:534f:ffff:ffff:ffff:ffff |
| 54 | 2001:db8:6:5350::/60 | 2001:db8:6:535f:ffff:ffff:ffff:ffff |
| 55 | 2001:db8:6:5360::/60 | 2001:db8:6:536f:ffff:ffff:ffff:ffff |
| 56 | 2001:db8:6:5370::/60 | 2001:db8:6:537f:ffff:ffff:ffff:ffff |
| 57 | 2001:db8:6:5380::/60 | 2001:db8:6:538f:ffff:ffff:ffff:ffff |
| 58 | 2001:db8:6:5390::/60 | 2001:db8:6:539f:ffff:ffff:ffff:ffff |
| 59 | 2001:db8:6:53a0::/60 | 2001:db8:6:53af:ffff:ffff:ffff:ffff |
| 60 | 2001:db8:6:53b0::/60 | 2001:db8:6:53bf:ffff:ffff:ffff:ffff |
| 61 | 2001:db8:6:53c0::/60 | 2001:db8:6:53cf:ffff:ffff:ffff:ffff |
| 62 | 2001:db8:6:53d0::/60 | 2001:db8:6:53df:ffff:ffff:ffff:ffff |
| 63 | 2001:db8:6:53e0::/60 | 2001:db8:6:53ef:ffff:ffff:ffff:ffff |
| 64 | 2001:db8:6:53f0::/60 | 2001:db8:6:53ff:ffff:ffff:ffff:ffff |
| 65 | 2001:db8:6:5400::/60 | 2001:db8:6:540f:ffff:ffff:ffff:ffff |
| 66 | 2001:db8:6:5410::/60 | 2001:db8:6:541f:ffff:ffff:ffff:ffff |
| 67 | 2001:db8:6:5420::/60 | 2001:db8:6:542f:ffff:ffff:ffff:ffff |
| 68 | 2001:db8:6:5430::/60 | 2001:db8:6:543f:ffff:ffff:ffff:ffff |
| 69 | 2001:db8:6:5440::/60 | 2001:db8:6:544f:ffff:ffff:ffff:ffff |
| 70 | 2001:db8:6:5450::/60 | 2001:db8:6:545f:ffff:ffff:ffff:ffff |
| 71 | 2001:db8:6:5460::/60 | 2001:db8:6:546f:ffff:ffff:ffff:ffff |
| 72 | 2001:db8:6:5470::/60 | 2001:db8:6:547f:ffff:ffff:ffff:ffff |
| 73 | 2001:db8:6:5480::/60 | 2001:db8:6:548f:ffff:ffff:ffff:ffff |
| 74 | 2001:db8:6:5490::/60 | 2001:db8:6:549f:ffff:ffff:ffff:ffff |
| 75 | 2001:db8:6:54a0::/60 | 2001:db8:6:54af:ffff:ffff:ffff:ffff |
| 76 | 2001:db8:6:54b0::/60 | 2001:db8:6:54bf:ffff:ffff:ffff:ffff |
| 77 | 2001:db8:6:54c0::/60 | 2001:db8:6:54cf:ffff:ffff:ffff:ffff |
| 78 | 2001:db8:6:54d0::/60 | 2001:db8:6:54df:ffff:ffff:ffff:ffff |
| 79 | 2001:db8:6:54e0::/60 | 2001:db8:6:54ef:ffff:ffff:ffff:ffff |
| 80 | 2001:db8:6:54f0::/60 | 2001:db8:6:54ff:ffff:ffff:ffff:ffff |
| 81 | 2001:db8:6:5500::/60 | 2001:db8:6:550f:ffff:ffff:ffff:ffff |
| 82 | 2001:db8:6:5510::/60 | 2001:db8:6:551f:ffff:ffff:ffff:ffff |
| 83 | 2001:db8:6:5520::/60 | 2001:db8:6:552f:ffff:ffff:ffff:ffff |
| 84 | 2001:db8:6:5530::/60 | 2001:db8:6:553f:ffff:ffff:ffff:ffff |
| 85 | 2001:db8:6:5540::/60 | 2001:db8:6:554f:ffff:ffff:ffff:ffff |
| 86 | 2001:db8:6:5550::/60 | 2001:db8:6:555f:ffff:ffff:ffff:ffff |
| 87 | 2001:db8:6:5560::/60 | 2001:db8:6:556f:ffff:ffff:ffff:ffff |
| 88 | 2001:db8:6:5570::/60 | 2001:db8:6:557f:ffff:ffff:ffff:ffff |
| 89 | 2001:db8:6:5580::/60 | 2001:db8:6:558f:ffff:ffff:ffff:ffff |
| 90 | 2001:db8:6:5590::/60 | 2001:db8:6:559f:ffff:ffff:ffff:ffff |
| 91 | 2001:db8:6:55a0::/60 | 2001:db8:6:55af:ffff:ffff:ffff:ffff |
| 92 | 2001:db8:6:55b0::/60 | 2001:db8:6:55bf:ffff:ffff:ffff:ffff |
| 93 | 2001:db8:6:55c0::/60 | 2001:db8:6:55cf:ffff:ffff:ffff:ffff |
| 94 | 2001:db8:6:55d0::/60 | 2001:db8:6:55df:ffff:ffff:ffff:ffff |
| 95 | 2001:db8:6:55e0::/60 | 2001:db8:6:55ef:ffff:ffff:ffff:ffff |
| 96 | 2001:db8:6:55f0::/60 | 2001:db8:6:55ff:ffff:ffff:ffff:ffff |
| 97 | 2001:db8:6:5600::/60 | 2001:db8:6:560f:ffff:ffff:ffff:ffff |
| 98 | 2001:db8:6:5610::/60 | 2001:db8:6:561f:ffff:ffff:ffff:ffff |
| 99 | 2001:db8:6:5620::/60 | 2001:db8:6:562f:ffff:ffff:ffff:ffff |
| 100 | 2001:db8:6:5630::/60 | 2001:db8:6:563f:ffff:ffff:ffff:ffff |
| 101 | 2001:db8:6:5640::/60 | 2001:db8:6:564f:ffff:ffff:ffff:ffff |
| 102 | 2001:db8:6:5650::/60 | 2001:db8:6:565f:ffff:ffff:ffff:ffff |
| 103 | 2001:db8:6:5660::/60 | 2001:db8:6:566f:ffff:ffff:ffff:ffff |
| 104 | 2001:db8:6:5670::/60 | 2001:db8:6:567f:ffff:ffff:ffff:ffff |
| 105 | 2001:db8:6:5680::/60 | 2001:db8:6:568f:ffff:ffff:ffff:ffff |
| 106 | 2001:db8:6:5690::/60 | 2001:db8:6:569f:ffff:ffff:ffff:ffff |
| 107 | 2001:db8:6:56a0::/60 | 2001:db8:6:56af:ffff:ffff:ffff:ffff |
| 108 | 2001:db8:6:56b0::/60 | 2001:db8:6:56bf:ffff:ffff:ffff:ffff |
| 109 | 2001:db8:6:56c0::/60 | 2001:db8:6:56cf:ffff:ffff:ffff:ffff |
| 110 | 2001:db8:6:56d0::/60 | 2001:db8:6:56df:ffff:ffff:ffff:ffff |
| 111 | 2001:db8:6:56e0::/60 | 2001:db8:6:56ef:ffff:ffff:ffff:ffff |
| 112 | 2001:db8:6:56f0::/60 | 2001:db8:6:56ff:ffff:ffff:ffff:ffff |
| 113 | 2001:db8:6:5700::/60 | 2001:db8:6:570f:ffff:ffff:ffff:ffff |
| 114 | 2001:db8:6:5710::/60 | 2001:db8:6:571f:ffff:ffff:ffff:ffff |
| 115 | 2001:db8:6:5720::/60 | 2001:db8:6:572f:ffff:ffff:ffff:ffff |
| 116 | 2001:db8:6:5730::/60 | 2001:db8:6:573f:ffff:ffff:ffff:ffff |
| 117 | 2001:db8:6:5740::/60 | 2001:db8:6:574f:ffff:ffff:ffff:ffff |
| 118 | 2001:db8:6:5750::/60 | 2001:db8:6:575f:ffff:ffff:ffff:ffff |
| 119 | 2001:db8:6:5760::/60 | 2001:db8:6:576f:ffff:ffff:ffff:ffff |
| 120 | 2001:db8:6:5770::/60 | 2001:db8:6:577f:ffff:ffff:ffff:ffff |
| 121 | 2001:db8:6:5780::/60 | 2001:db8:6:578f:ffff:ffff:ffff:ffff |
| 122 | 2001:db8:6:5790::/60 | 2001:db8:6:579f:ffff:ffff:ffff:ffff |
| 123 | 2001:db8:6:57a0::/60 | 2001:db8:6:57af:ffff:ffff:ffff:ffff |
| 124 | 2001:db8:6:57b0::/60 | 2001:db8:6:57bf:ffff:ffff:ffff:ffff |
| 125 | 2001:db8:6:57c0::/60 | 2001:db8:6:57cf:ffff:ffff:ffff:ffff |
| 126 | 2001:db8:6:57d0::/60 | 2001:db8:6:57df:ffff:ffff:ffff:ffff |
| 127 | 2001:db8:6:57e0::/60 | 2001:db8:6:57ef:ffff:ffff:ffff:ffff |
| 128 | 2001:db8:6:57f0::/60 | 2001:db8:6:57ff:ffff:ffff:ffff:ffff |
| 129 | 2001:db8:6:5800::/60 | 2001:db8:6:580f:ffff:ffff:ffff:ffff |
| 130 | 2001:db8:6:5810::/60 | 2001:db8:6:581f:ffff:ffff:ffff:ffff |
| 131 | 2001:db8:6:5820::/60 | 2001:db8:6:582f:ffff:ffff:ffff:ffff |
| 132 | 2001:db8:6:5830::/60 | 2001:db8:6:583f:ffff:ffff:ffff:ffff |
| 133 | 2001:db8:6:5840::/60 | 2001:db8:6:584f:ffff:ffff:ffff:ffff |
| 134 | 2001:db8:6:5850::/60 | 2001:db8:6:585f:ffff:ffff:ffff:ffff |
| 135 | 2001:db8:6:5860::/60 | 2001:db8:6:586f:ffff:ffff:ffff:ffff |
| 136 | 2001:db8:6:5870::/60 | 2001:db8:6:587f:ffff:ffff:ffff:ffff |
| 137 | 2001:db8:6:5880::/60 | 2001:db8:6:588f:ffff:ffff:ffff:ffff |
| 138 | 2001:db8:6:5890::/60 | 2001:db8:6:589f:ffff:ffff:ffff:ffff |
| 139 | 2001:db8:6:58a0::/60 | 2001:db8:6:58af:ffff:ffff:ffff:ffff |
| 140 | 2001:db8:6:58b0::/60 | 2001:db8:6:58bf:ffff:ffff:ffff:ffff |
| 141 | 2001:db8:6:58c0::/60 | 2001:db8:6:58cf:ffff:ffff:ffff:ffff |
| 142 | 2001:db8:6:58d0::/60 | 2001:db8:6:58df:ffff:ffff:ffff:ffff |
| 143 | 2001:db8:6:58e0::/60 | 2001:db8:6:58ef:ffff:ffff:ffff:ffff |
| 144 | 2001:db8:6:58f0::/60 | 2001:db8:6:58ff:ffff:ffff:ffff:ffff |
| 145 | 2001:db8:6:5900::/60 | 2001:db8:6:590f:ffff:ffff:ffff:ffff |
| 146 | 2001:db8:6:5910::/60 | 2001:db8:6:591f:ffff:ffff:ffff:ffff |
| 147 | 2001:db8:6:5920::/60 | 2001:db8:6:592f:ffff:ffff:ffff:ffff |
| 148 | 2001:db8:6:5930::/60 | 2001:db8:6:593f:ffff:ffff:ffff:ffff |
| 149 | 2001:db8:6:5940::/60 | 2001:db8:6:594f:ffff:ffff:ffff:ffff |
| 150 | 2001:db8:6:5950::/60 | 2001:db8:6:595f:ffff:ffff:ffff:ffff |
| 151 | 2001:db8:6:5960::/60 | 2001:db8:6:596f:ffff:ffff:ffff:ffff |
| 152 | 2001:db8:6:5970::/60 | 2001:db8:6:597f:ffff:ffff:ffff:ffff |
| 153 | 2001:db8:6:5980::/60 | 2001:db8:6:598f:ffff:ffff:ffff:ffff |
| 154 | 2001:db8:6:5990::/60 | 2001:db8:6:599f:ffff:ffff:ffff:ffff |
| 155 | 2001:db8:6:59a0::/60 | 2001:db8:6:59af:ffff:ffff:ffff:ffff |
| 156 | 2001:db8:6:59b0::/60 | 2001:db8:6:59bf:ffff:ffff:ffff:ffff |
| 157 | 2001:db8:6:59c0::/60 | 2001:db8:6:59cf:ffff:ffff:ffff:ffff |
| 158 | 2001:db8:6:59d0::/60 | 2001:db8:6:59df:ffff:ffff:ffff:ffff |
| 159 | 2001:db8:6:59e0::/60 | 2001:db8:6:59ef:ffff:ffff:ffff:ffff |
| 160 | 2001:db8:6:59f0::/60 | 2001:db8:6:59ff:ffff:ffff:ffff:ffff |
| 161 | 2001:db8:6:5a00::/60 | 2001:db8:6:5a0f:ffff:ffff:ffff:ffff |
| 162 | 2001:db8:6:5a10::/60 | 2001:db8:6:5a1f:ffff:ffff:ffff:ffff |
| 163 | 2001:db8:6:5a20::/60 | 2001:db8:6:5a2f:ffff:ffff:ffff:ffff |
| 164 | 2001:db8:6:5a30::/60 | 2001:db8:6:5a3f:ffff:ffff:ffff:ffff |
| 165 | 2001:db8:6:5a40::/60 | 2001:db8:6:5a4f:ffff:ffff:ffff:ffff |
| 166 | 2001:db8:6:5a50::/60 | 2001:db8:6:5a5f:ffff:ffff:ffff:ffff |
| 167 | 2001:db8:6:5a60::/60 | 2001:db8:6:5a6f:ffff:ffff:ffff:ffff |
| 168 | 2001:db8:6:5a70::/60 | 2001:db8:6:5a7f:ffff:ffff:ffff:ffff |
| 169 | 2001:db8:6:5a80::/60 | 2001:db8:6:5a8f:ffff:ffff:ffff:ffff |
| 170 | 2001:db8:6:5a90::/60 | 2001:db8:6:5a9f:ffff:ffff:ffff:ffff |
| 171 | 2001:db8:6:5aa0::/60 | 2001:db8:6:5aaf:ffff:ffff:ffff:ffff |
| 172 | 2001:db8:6:5ab0::/60 | 2001:db8:6:5abf:ffff:ffff:ffff:ffff |
| 173 | 2001:db8:6:5ac0::/60 | 2001:db8:6:5acf:ffff:ffff:ffff:ffff |
| 174 | 2001:db8:6:5ad0::/60 | 2001:db8:6:5adf:ffff:ffff:ffff:ffff |
| 175 | 2001:db8:6:5ae0::/60 | 2001:db8:6:5aef:ffff:ffff:ffff:ffff |
| 176 | 2001:db8:6:5af0::/60 | 2001:db8:6:5aff:ffff:ffff:ffff:ffff |
| 177 | 2001:db8:6:5b00::/60 | 2001:db8:6:5b0f:ffff:ffff:ffff:ffff |
| 178 | 2001:db8:6:5b10::/60 | 2001:db8:6:5b1f:ffff:ffff:ffff:ffff |
| 179 | 2001:db8:6:5b20::/60 | 2001:db8:6:5b2f:ffff:ffff:ffff:ffff |
| 180 | 2001:db8:6:5b30::/60 | 2001:db8:6:5b3f:ffff:ffff:ffff:ffff |
| 181 | 2001:db8:6:5b40::/60 | 2001:db8:6:5b4f:ffff:ffff:ffff:ffff |
| 182 | 2001:db8:6:5b50::/60 | 2001:db8:6:5b5f:ffff:ffff:ffff:ffff |
| 183 | 2001:db8:6:5b60::/60 | 2001:db8:6:5b6f:ffff:ffff:ffff:ffff |
| 184 | 2001:db8:6:5b70::/60 | 2001:db8:6:5b7f:ffff:ffff:ffff:ffff |
| 185 | 2001:db8:6:5b80::/60 | 2001:db8:6:5b8f:ffff:ffff:ffff:ffff |
| 186 | 2001:db8:6:5b90::/60 | 2001:db8:6:5b9f:ffff:ffff:ffff:ffff |
| 187 | 2001:db8:6:5ba0::/60 | 2001:db8:6:5baf:ffff:ffff:ffff:ffff |
| 188 | 2001:db8:6:5bb0::/60 | 2001:db8:6:5bbf:ffff:ffff:ffff:ffff |
| 189 | 2001:db8:6:5bc0::/60 | 2001:db8:6:5bcf:ffff:ffff:ffff:ffff |
| 190 | 2001:db8:6:5bd0::/60 | 2001:db8:6:5bdf:ffff:ffff:ffff:ffff |
| 191 | 2001:db8:6:5be0::/60 | 2001:db8:6:5bef:ffff:ffff:ffff:ffff |
| 192 | 2001:db8:6:5bf0::/60 | 2001:db8:6:5bff:ffff:ffff:ffff:ffff |
| 193 | 2001:db8:6:5c00::/60 | 2001:db8:6:5c0f:ffff:ffff:ffff:ffff |
| 194 | 2001:db8:6:5c10::/60 | 2001:db8:6:5c1f:ffff:ffff:ffff:ffff |
| 195 | 2001:db8:6:5c20::/60 | 2001:db8:6:5c2f:ffff:ffff:ffff:ffff |
| 196 | 2001:db8:6:5c30::/60 | 2001:db8:6:5c3f:ffff:ffff:ffff:ffff |
| 197 | 2001:db8:6:5c40::/60 | 2001:db8:6:5c4f:ffff:ffff:ffff:ffff |
| 198 | 2001:db8:6:5c50::/60 | 2001:db8:6:5c5f:ffff:ffff:ffff:ffff |
| 199 | 2001:db8:6:5c60::/60 | 2001:db8:6:5c6f:ffff:ffff:ffff:ffff |
| 200 | 2001:db8:6:5c70::/60 | 2001:db8:6:5c7f:ffff:ffff:ffff:ffff |
| 201 | 2001:db8:6:5c80::/60 | 2001:db8:6:5c8f:ffff:ffff:ffff:ffff |
| 202 | 2001:db8:6:5c90::/60 | 2001:db8:6:5c9f:ffff:ffff:ffff:ffff |
| 203 | 2001:db8:6:5ca0::/60 | 2001:db8:6:5caf:ffff:ffff:ffff:ffff |
| 204 | 2001:db8:6:5cb0::/60 | 2001:db8:6:5cbf:ffff:ffff:ffff:ffff |
| 205 | 2001:db8:6:5cc0::/60 | 2001:db8:6:5ccf:ffff:ffff:ffff:ffff |
| 206 | 2001:db8:6:5cd0::/60 | 2001:db8:6:5cdf:ffff:ffff:ffff:ffff |
| 207 | 2001:db8:6:5ce0::/60 | 2001:db8:6:5cef:ffff:ffff:ffff:ffff |
| 208 | 2001:db8:6:5cf0::/60 | 2001:db8:6:5cff:ffff:ffff:ffff:ffff |
| 209 | 2001:db8:6:5d00::/60 | 2001:db8:6:5d0f:ffff:ffff:ffff:ffff |
| 210 | 2001:db8:6:5d10::/60 | 2001:db8:6:5d1f:ffff:ffff:ffff:ffff |
| 211 | 2001:db8:6:5d20::/60 | 2001:db8:6:5d2f:ffff:ffff:ffff:ffff |
| 212 | 2001:db8:6:5d30::/60 | 2001:db8:6:5d3f:ffff:ffff:ffff:ffff |
| 213 | 2001:db8:6:5d40::/60 | 2001:db8:6:5d4f:ffff:ffff:ffff:ffff |
| 214 | 2001:db8:6:5d50::/60 | 2001:db8:6:5d5f:ffff:ffff:ffff:ffff |
| 215 | 2001:db8:6:5d60::/60 | 2001:db8:6:5d6f:ffff:ffff:ffff:ffff |
| 216 | 2001:db8:6:5d70::/60 | 2001:db8:6:5d7f:ffff:ffff:ffff:ffff |
| 217 | 2001:db8:6:5d80::/60 | 2001:db8:6:5d8f:ffff:ffff:ffff:ffff |
| 218 | 2001:db8:6:5d90::/60 | 2001:db8:6:5d9f:ffff:ffff:ffff:ffff |
| 219 | 2001:db8:6:5da0::/60 | 2001:db8:6:5daf:ffff:ffff:ffff:ffff |
| 220 | 2001:db8:6:5db0::/60 | 2001:db8:6:5dbf:ffff:ffff:ffff:ffff |
| 221 | 2001:db8:6:5dc0::/60 | 2001:db8:6:5dcf:ffff:ffff:ffff:ffff |
| 222 | 2001:db8:6:5dd0::/60 | 2001:db8:6:5ddf:ffff:ffff:ffff:ffff |
| 223 | 2001:db8:6:5de0::/60 | 2001:db8:6:5def:ffff:ffff:ffff:ffff |
| 224 | 2001:db8:6:5df0::/60 | 2001:db8:6:5dff:ffff:ffff:ffff:ffff |
| 225 | 2001:db8:6:5e00::/60 | 2001:db8:6:5e0f:ffff:ffff:ffff:ffff |
| 226 | 2001:db8:6:5e10::/60 | 2001:db8:6:5e1f:ffff:ffff:ffff:ffff |
| 227 | 2001:db8:6:5e20::/60 | 2001:db8:6:5e2f:ffff:ffff:ffff:ffff |
| 228 | 2001:db8:6:5e30::/60 | 2001:db8:6:5e3f:ffff:ffff:ffff:ffff |
| 229 | 2001:db8:6:5e40::/60 | 2001:db8:6:5e4f:ffff:ffff:ffff:ffff |
| 230 | 2001:db8:6:5e50::/60 | 2001:db8:6:5e5f:ffff:ffff:ffff:ffff |
| 231 | 2001:db8:6:5e60::/60 | 2001:db8:6:5e6f:ffff:ffff:ffff:ffff |
| 232 | 2001:db8:6:5e70::/60 | 2001:db8:6:5e7f:ffff:ffff:ffff:ffff |
| 233 | 2001:db8:6:5e80::/60 | 2001:db8:6:5e8f:ffff:ffff:ffff:ffff |
| 234 | 2001:db8:6:5e90::/60 | 2001:db8:6:5e9f:ffff:ffff:ffff:ffff |
| 235 | 2001:db8:6:5ea0::/60 | 2001:db8:6:5eaf:ffff:ffff:ffff:ffff |
| 236 | 2001:db8:6:5eb0::/60 | 2001:db8:6:5ebf:ffff:ffff:ffff:ffff |
| 237 | 2001:db8:6:5ec0::/60 | 2001:db8:6:5ecf:ffff:ffff:ffff:ffff |
| 238 | 2001:db8:6:5ed0::/60 | 2001:db8:6:5edf:ffff:ffff:ffff:ffff |
| 239 | 2001:db8:6:5ee0::/60 | 2001:db8:6:5eef:ffff:ffff:ffff:ffff |
| 240 | 2001:db8:6:5ef0::/60 | 2001:db8:6:5eff:ffff:ffff:ffff:ffff |
| 241 | 2001:db8:6:5f00::/60 | 2001:db8:6:5f0f:ffff:ffff:ffff:ffff |
| 242 | 2001:db8:6:5f10::/60 | 2001:db8:6:5f1f:ffff:ffff:ffff:ffff |
| 243 | 2001:db8:6:5f20::/60 | 2001:db8:6:5f2f:ffff:ffff:ffff:ffff |
| 244 | 2001:db8:6:5f30::/60 | 2001:db8:6:5f3f:ffff:ffff:ffff:ffff |
| 245 | 2001:db8:6:5f40::/60 | 2001:db8:6:5f4f:ffff:ffff:ffff:ffff |
| 246 | 2001:db8:6:5f50::/60 | 2001:db8:6:5f5f:ffff:ffff:ffff:ffff |
| 247 | 2001:db8:6:5f60::/60 | 2001:db8:6:5f6f:ffff:ffff:ffff:ffff |
| 248 | 2001:db8:6:5f70::/60 | 2001:db8:6:5f7f:ffff:ffff:ffff:ffff |
| 249 | 2001:db8:6:5f80::/60 | 2001:db8:6:5f8f:ffff:ffff:ffff:ffff |
| 250 | 2001:db8:6:5f90::/60 | 2001:db8:6:5f9f:ffff:ffff:ffff:ffff |
| 251 | 2001:db8:6:5fa0::/60 | 2001:db8:6:5faf:ffff:ffff:ffff:ffff |
| 252 | 2001:db8:6:5fb0::/60 | 2001:db8:6:5fbf:ffff:ffff:ffff:ffff |
| 253 | 2001:db8:6:5fc0::/60 | 2001:db8:6:5fcf:ffff:ffff:ffff:ffff |
| 254 | 2001:db8:6:5fd0::/60 | 2001:db8:6:5fdf:ffff:ffff:ffff:ffff |
| 255 | 2001:db8:6:5fe0::/60 | 2001:db8:6:5fef:ffff:ffff:ffff:ffff |
| 256 | 2001:db8:6:5ff0::/60 | 2001:db8:6:5fff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |